:root {
    --Pink: rgb(174,134,181);
    --Yellow: rgb(228, 201, 92);
    --PinkDark: rgb(183, 101, 198);
    --Orange: rgb(228,201,92);
}


.speedyui {
    position: absolute;
    width: 100% !important;
  
  
}

.speedyui-footer {
    font-family: "Open Sans", sans-serif;
    --fc--primary-color: var(--Pink);
    --fc-content-color: var(--Pink);
    --fc-social-icons-color: var(--Orange);
    line-height: 1;
    background: linear-gradient(61deg, rgb(34, 37, 36) 0%, rgba(40, 42, 38) 38%, rgb(38, 42, 37) 55%, rgb(42, 48, 46) 100%);


    border-top: 1px solid #222 !important;
    box-shadow: 0 0 5px rgb(48, 48, 48) !important;
}
.colorOrange {
    color: var(--Orange);
   
}
    .speedyui-footer dl, .speedyui-footer ol, .speedyui-footer ul {
        margin: 0;
        padding: 0;
    }

    .speedyui-footer .btn-primary {
        background-color: var(--fc--primary-color);
        border-color: var(--fc--primary-color);
        transition: all 0.3s;
    }

        .speedyui-footer .btn-primary:hover {
            opacity: 0.8;
        }

    .speedyui-footer .btn-check:focus + .btn, .speedyui-footer .btn:focus {
        box-shadow: none;
    }

    .speedyui-footer .form-control:focus {
        border-color: var(--fc-primary-color);
    }

    .speedyui-footer p {
       
        margin: 0;
    }

    .speedyui-footer a {
        color: #fff;
        transition: all 0.3s;
    }

        .speedyui-footer a:hover {
            color: var(--fc--primary-color);
        }

    .speedyui-footer .nav-link {
        color: #c1c1c1;
    }

        .speedyui-footer .nav-link:hover {
            color: var(--fc--primary-color);
        }

    .speedyui-footer ul.social-list li a {
        color: var(--fc-social-icons-color);
        display: flex;
        background-color: #1d1e20;
        padding: 10px 10px;
        border-radius: 0.2rem;
        overflow: hidden;
        position: relative;
        z-index: 0;
    }

        .speedyui-footer ul.social-list li a::after {
            transition: all 0.3s;
            height: 0;
            left: 0;
            top: 0;
            width: 100%;
        }

        .speedyui-footer ul.social-list li a::before, .speedyui-footer ul.social-list li a::after {
            background: #fff;
            content: "";
            position: absolute;
            z-index: -1;
        }

        .speedyui-footer ul.social-list li a:hover {
            color: var(--fc--primary-color);
        }

            .speedyui-footer ul.social-list li a:hover:after {
                height: 100%;
            }

    .speedyui-footer .form-control {
        background-color: #1d1e20;
        border: #1d1e20;
        color: #fff;
        font-size: 14px;
    }

        .speedyui-footer .form-control:focus {
            box-shadow: none;
            color: #fff;
        }

    .speedyui-footer .phone-icon {
        background-color: #383838;
        color: var(--Orange);
        transition: all 0.3s;
        margin-top: 0.8rem;
        border-radius: 1rem;
    }

    .speedyui-footer a:hover .phone-icon {
        background-color: var(--fc--primary-color);
    }

    .speedyui-footer .footer-top {
        padding: 3rem 0;
        overflow: hidden;
        z-index: 0;
    }

    .speedyui-footer .footer-bottom {
        font-size: 14px;
        background-color: var(--Pink);
    }

    .speedyui-footer .shape-wave {
        left: -48rem;
        opacity: 0.1;
        pointer-events: none;
        z-index: -1;
    }

    .speedyui-footer .animate-y {
        bottom: 0;
        transform: translateY(5%);
        -webkit-animation: animate-shape 1.8s linear infinite;
        animation: animate-shape 1.8s linear infinite;
    }

    .speedyui-footer .shape-circle {
        width: 2.5rem;
        height: 2.5rem;
        z-index: -1;
        background-color: var(--Pink);
        right: 5%;
        bottom: 9%;
        -webkit-animation: animate-scale 2s linear infinite;
        animation: animate-scale 2s linear infinite;
        pointer-events: none;
    }

@-webkit-keyframes animate-shape {
    0% {
        bottom: 0;
    }

    50% {
        bottom: 0.8em;
    }

    100% {
        bottom: 0;
    }
}

@keyframes animate-shape {
    0% {
        bottom: 0;
    }

    50% {
        bottom: 0.8em;
    }

    100% {
        bottom: 0;
    }
}

@-webkit-keyframes animate-scale {
    0% {
        transform: scale(0);
        opacity: 0;
    }

    50% {
        transform: scale(1.25);
        opacity: 1;
    }

    100% {
        transform: scale(0);
        opacity: 0;
    }
}

@keyframes animate-scale {
    0% {
        transform: scale(0);
        opacity: 0;
    }

    50% {
        transform: scale(1);
        opacity: 1;
    }

    100% {
        transform: scale(0);
        opacity: 0;
    }
}
